## InfGtkCertificateManager InfGtkCertificateManager — Verify server certificates and warn the user |

## Stability Level

Unstable, unless otherwise indicated

## Functions

InfGtkCertificateManager * | inf_gtk_certificate_manager_new ()

## Properties

GtkWindow * | parent-window | Read / Write / Construct Only

## Types and Values

struct | InfGtkCertificateManager
struct | InfGtkCertificateManagerClass

## Object Hierarchy

        GObject
        ╰── InfCertificateVerify
            ╰── InfGtkCertificateManager

## Includes

    #include <libinfgtk/inf-gtk-certificate-manager.h>

## Description

InfGtkCertificateManager is derived from InfCertificateVerify, and as such it verifies server certificates. This class handles the “check-certificate” signal by showing a InfGtkCertificateDialog to the user to let them decide whether or not to accept the server's certificate.

## Functions

### inf_gtk_certificate_manager_new ()

    InfGtkCertificateManager *
    inf_gtk_certificate_manager_new (GtkWindow *parent_window,
                                     InfXmppManager *xmpp_manager,
                                     const gchar *known_hosts_file);

Creates a new InfGtkCertificateManager. See InfCertificateVerify for details about the certificate verification process.

[constructor]

#### Parameters

parent_window | The GtkWindow to which to make certificate verification dialogs transient to. |
xmpp_manager | The InfXmppManager whose InfXmppConnections to manage the certificates for. |
known_hosts_file | Path pointing to a file that contains pinned certificates, or `NULL`. | [type filename][allow-none]

#### Returns

A new InfGtkCertificateManager.

[transfer full]

## Types and Values

### struct InfGtkCertificateManager

    struct InfGtkCertificateManager;

### struct InfGtkCertificateManagerClass

    struct InfGtkCertificateManagerClass {
      InfCertificateVerifyClass parent_class;
    };

## Property Details

### The `“parent-window”` property

      “parent-window”            GtkWindow *

The parent window for certificate verification dialogs.

Flags: Read / Write / Construct Only